> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Op 생성

> op 객체를 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/ops
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/ops:
    post:
      tags:
        - Ops
      summary: Op 생성
      description: op 객체를 생성합니다.
      operationId: op_create_v2__entity___project__ops_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpCreateRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    OpCreateBody:
      description: >-
        REST API를 통해 Op 객체를 생성하기 위한 요청 본문입니다.


        이 모델은 project_id를 제외합니다. RESTful 엔드포인트에서는 project_id가 URL 경로에서 제공되기
        때문입니다.
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 op의 이름입니다. 이름이 같은 op는 함께 버전 관리됩니다.
          title: Name
        source_code:
          anyOf:
            - type: string
            - type: 'null'
          description: 임포트를 포함한 이 op의 전체 소스 코드
          title: Source Code
      title: OpCreateBody
      type: object
    OpCreateRes:
      description: Op 객체를 생성할 때의 응답 모델입니다.
      properties:
        digest:
          description: 생성된 op의 다이제스트
          title: Digest
          type: string
        object_id:
          description: 생성된 op의 ID
          title: Object Id
          type: string
        version_index:
          description: 생성된 op의 버전 인덱스
          title: Version Index
          type: integer
      required:
        - digest
        - object_id
        - version_index
      title: OpCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````